Subject: [MMUSIC] E164 address type in both RFC 3108 and draft-ietf-mmusic-sdp-cs

From: Christer Holmberg <[email-masked]>
Date: Mon, 18 Nov 2013 17:31:14 +0000

Hi,

RFC 3108 (SDP for ATM) defines an 'E164' address type value. When used, the associated address value is "up to 15 decimal digits".

Example: c=ATM E164 9738294382

draft-ietf-mmusic-sdp-cs-21 also defines an 'E164' address type value, with a slightly different syntax for the associated address value:

- an international E.164 number (prepended with a '+' sign); or
- the value "-", signifying that the address is unknown

Now, the sdp-cs draft DOES say:

        "Please note that the "E164" address type defined in this memo is
       exclusively defined to be used in conjunction with the "PSTN" network
       type in accordance with [RFC4566].  Usage of "E164" address type in
       conjunction with other network types may be defined elsewhere."

...and, in 3108 the network type value is "ATM", so.

I just wonder whether it would be useful to, in sdp-cs, give 3108 as an example of where "E164" is defined for another network type, and with a different syntax?

Regards,

Christer

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 18 Nov 2013 10:17:56 -0800

On 11/18/13 9:31 AM, Christer Holmberg wrote:
> Hi,
>
> RFC 3108 (SDP for ATM) defines an 'E164' address type value. When used,
> the associated address value is "up to 15 decimal digits".
>
> draft-ietf-mmusic-sdp-cs-21 also defines an 'E164' address type value,
> with a slightly different syntax for the associated address value:
>
> I just wonder whether it would be useful to, in sdp-cs, give 3108 as an
> example of where "E164" is defined for another network type, and with a
> different syntax?

I wouldn't object, but neither do I find it necessary to do this.

I wasn't aware of 3108 when it was being standardized. I find its use of 
"E164" perverted, since it explicitly allows non-E164 values to be used, 
and doesn't even define how such numbers are to be interpreted.

It should have used something other than "E164". But I guess it is too 
late to "fix" that.

	Thanks,
	Paul

---

From: Christian Groves <[email-masked]>
Date: Tue, 19 Nov 2013 10:26:43 +1100

Hello Christer,

I think the last sentence: /"Usage of "E164" address type in conjunction 
with other network types may be defined elsewhere."/ could potentially 
be confusing. I think this sentence is referring to that the E164 
address defined by [SDP-CS] could be used elsewhere. Whereas the RFC3105 
usage of E164 is distinct from [SDP-CS].

I think that after our discussion regarding the IANA registration its 
clear that Address type is dependent on Network Type. So I would be 
included to remove the above sentence and just indicate that E164 
defined by [SDP-CS] is used exclusively for nettype PSTN.

You could add a note to the effect: "Note: RFC3105 also defines address 
type E164. This definition is distinct from the one defined by [SDP-CS] 
and shall not be used with nettype PSTN."

Regards, Christian

On 19/11/2013 5:17 AM, Paul Kyzivat wrote:
> I wasn't aware of 3108 when it was being standardized. I find its use 
> of "E164" perverted, since it explicitly allows non-E164 values to be 
> used, and doesn't even define how such numbers are to be interpreted.
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 19 Nov 2013 07:24:56 +0000

Hi Christian,

I think your suggestion looks good.

Regards,

Christer

-----Original Message-----
From: mmusic [mailto:[email-masked]] On Behalf Of Christian Groves
Sent: 19. marraskuuta 2013 1:27
To: [email-masked]
Subject: Re: [MMUSIC] E164 address type in both RFC 3108 and draft-ietf-mmusic-sdp-cs

Hello Christer,

I think the last sentence: /"Usage of "E164" address type in conjunction with other network types may be defined elsewhere."/ could potentially be confusing. I think this sentence is referring to that the E164 address defined by [SDP-CS] could be used elsewhere. Whereas the RFC3105 usage of E164 is distinct from [SDP-CS].

I think that after our discussion regarding the IANA registration its clear that Address type is dependent on Network Type. So I would be included to remove the above sentence and just indicate that E164 defined by [SDP-CS] is used exclusively for nettype PSTN.

You could add a note to the effect: "Note: RFC3105 also defines address type E164. This definition is distinct from the one defined by [SDP-CS] and shall not be used with nettype PSTN."

Regards, Christian

On 19/11/2013 5:17 AM, Paul Kyzivat wrote:
>> RFC 3108 (SDP for ATM) defines an 'E164' address type value. When 
>> used, the associated address value is "up to 15 decimal digits".
>>
>> draft-ietf-mmusic-sdp-cs-21 also defines an 'E164' address type 
>> value, with a slightly different syntax for the associated address value:
>>
>> I just wonder whether it would be useful to, in sdp-cs, give 3108 as 
>> an example of where "E164" is defined for another network type, and 
>> with a different syntax?
>

---

From: <[email-masked]>
Date: Fri, 22 Nov 2013 12:27:18 +0000

Hi,
I'm not actively following the list, but Christer kindly pinged me off-list. For some reason I could not find Christian Groves' email (http://www.ietf.org/mail-archive/web/mmusic/current/msg12771.html)  in my inbox where he writes:

---

---
 
The proposed text sounds good to me as well; we can add it in the next version.

Simo

PS. The RFC number in question is RFC3108, not RFC3105.

-----Original Message-----
From: mmusic [mailto:[email-masked]] On Behalf Of ext Paul Kyzivat
Sent: 18 November, 2013 20:18
To: [email-masked]
Subject: Re: [MMUSIC] E164 address type in both RFC 3108 and draft-ietf-mmusic-sdp-cs

	Thanks,
	Paul